Subject: Deprecation message about lowercase template files names suggest lowercase file name
Description

This is what the error messages looks like in Fluid 1.3.0a3:

09-11-10 12:57: the template filename "<extension-path>/Resources/Private/Templates/CareerGadget/build.html" is lowercase. This
is deprecated since TYPO3 4.4. Please rename the template to "build.html"

The attached patch changes two things in both places that are relevant:

    1. make the suggested new name upper-first
    2. change the wording to make it clear this is about two variants of camelCase, not about all-lowercase.

History
#1 - 2010-11-19 18:24 - Bastian Waidelich
- Category set to View
- Status changed from New to Needs Feedback
- Assigned To set to Bastian Waidelich
- Branch set to v4

Hi Oliver,

are you using the current trunk of Fluid (1.3.0beta2a)?
in line 185 the filename is already upper cased:

$templatePathAndFilename = str_replace('@action', ucfirst($actionName), $templatePathAndFilename);

So basename($templatePathAndFilename) should already contain the correct case.
I tested this and get the correct error message on Windows.

#2 - 2010-11-19 19:07 - Oliver Klee

This problem occured on fluid 1.3.0alpha3 for me. (I haven't tested with 1.3.0beta1a yet because I'll need to fix my extension to work first.)

I'll retest this with 1.3.0beta1a.

By the way, this problem occurs on Linux - maybe it's OS-specific.
#3 - 2010-11-19 19:17 - Bastian Waidelich

Oliver Klee wrote:

This problem occured on fluid 1.3.0alpha3 for me.
(I haven't tested with 1.3.0beta1a yet because I'll need to fix my extension to work first.)

But your patch applies to trunk.
The code you are referring to has only been committed a few hours ago (see r2984).

By the way, this problem occurs on Linux - maybe it's OS-specific.

Ah, that might be the problem..
But I don't understand:

$templatePathAndFilename = str_replace('@action', ucfirst($actionName), $templatePathAndFilename);

should already result in a UpperCamelCase filename, no?

#4 - 2010-11-19 19:17 - Bastian Waidelich

Bastian Waidelich wrote:

The code you are referring to has only been committed a few hours ago (see r2984).

link: http://forge.typo3.org/projects/typo3v4-mvc/repository/revisions/2984

#5 - 2010-12-02 19:31 - Bastian Waidelich

What's the status of this one? Can someone confirm, that this is broken in the current trunk (on an OS with case sensitive file system).

#6 - 2010-12-21 19:12 - Oliver Klee

I still get the following warning on Linux using fluid 1.3.0beta2:

21-12-10 19:10: the template filename "/home/klee/www/typo3conf/ext/templateexample/Resources/Private/Templates/Thing/index.html" is lowercase.
This is deprecated since TYPO3 4.4. Please rename the template to "index.html"

So the suggested template file name in the error message still isn't correct.

#7 - 2010-12-30 15:15 - Bastian Waidelich
- File 10975_v2.patch added
Oliver Klee wrote:

So the suggested template file name in the error message still isn't correct.

Of course.. I looked at the wrong code part..
Can you please verify that the attached patch (10975_v2.patch) fixes the issue for you?

Thanks!

#8 - 2011-01-04 11:53 - Oliver Klee

This now is fixed for me with the latest fluid trunk.

#9 - 2011-01-11 21:58 - Bastian Waidelich
- Status changed from Needs Feedback to Resolved

Thanks for testing!

Files
fluid.diff 1.5 kB 2010-11-19 Oliver Klee
10975_v2.patch 796 Bytes 2010-12-30 Bastian Waidelich
